System Requirements

Geniverse requires any of the following free web browsers. Note: Geniverse does not currently work in Internet Explorer (IE). IE does not support the modern functions required for a complex web application such as Geniverse. We are working on making Geniverse compatible with IE 9 and 10.

To use one of the following browsers, click the download link next to it and install.

In addition, Geniverse does not yet run on iPads or other tablets.  We are currently working on making a version of the software that will run on iPads and other tablets.  Geniverse does run on Chromebooks!